//----------------------------------------------------------------------//
// Sound Band															//
//																		//
//----------------------------------------------------------------------//
#ifndef BandH
#define BandH
//---------------------------------------------------------------------------
#include <math.h>

//---------------------------------------------------------------------------
#define MAX_BAND 24
#define HLF_BAND MAX_BAND/2

struct Band {
	TShape* shape;
	long col;
	int chn;
	int tone_id;
	int stat;
	double value;
	double stress;
	double threshold;
	int xp,yp;
};

struct field_prm {
	int stereo;
	int volume;
	int divmode;
	double limit;
	double speed;
	double power,power0,power1;
	double stress;
	double vsum0,vsum1;
	int parity_x,parity_y;
	int arean;
    int lopcnt;
	TColor col_backgr;
	TColor col_upper0,col_lower0;
	TColor col_upper1,col_lower1;
	TColor col_active;
	TColor col_psring;

	bool hide_titlebar;

	Graphics::TBitmap *bgimg;
	AnsiString 	bgimg_file;
	bool enable_bgimg;
	bool stretch_bgimg;
};

void set_band_color();
void put_band(int n);
void resize_band();
void upd_band(double vx,double vy);

//---------------------------------------------------------------------------
extern field_prm Fprm;
extern Band BD[MAX_BAND];

//---------------------------------------------------------------------------
#endif
