//----------------------------------------------------------------------//
// Sound Bands	fUCݒ_CAO									//
//																		//
//----------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop
#include "usr_wic.h"
#include "Band.h"
#include "MainForm.h"
#include "DsgnDlg.h"

//---------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TDesignDlg *DesignDlg;

extern field_prm Fprm;

//---------------------------------------------------------------------
__fastcall TDesignDlg::TDesignDlg(TComponent* AOwner)
	: TForm(AOwner)
{
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::FormShow(TObject *Sender)
{
	BgImgEdit->Text 		= Fprm.bgimg_file;
	BgImgCheckBox->Checked	= Fprm.enable_bgimg;
	StretchChkBox->Checked	= Fprm.stretch_bgimg;
	HideTbarChkBox->Checked = Fprm.hide_titlebar;
}

//---------------------------------------------------------------------------
//zF
void __fastcall TDesignDlg::ColButtonClick(TObject *Sender)
{
	TButton  *sp=(TButton*)Sender;

	switch (sp->Tag) {
	case 0: ColorDialog1->Color = Fprm.col_backgr; break;
	case 1: ColorDialog1->Color = Fprm.col_upper0; break;
	case 2: ColorDialog1->Color = Fprm.col_lower0; break;
	case 3: ColorDialog1->Color = Fprm.col_upper1; break;
	case 4: ColorDialog1->Color = Fprm.col_lower1; break;
	case 5: ColorDialog1->Color = Fprm.col_active; break;
	}
	if (ColorDialog1->Execute()) {
		switch (sp->Tag) {
		case 0: Fprm.col_backgr = ColorDialog1->Color; break;
		case 1: Fprm.col_upper0 = ColorDialog1->Color; break;
		case 2: Fprm.col_lower0 = ColorDialog1->Color; break;
		case 3: Fprm.col_upper1 = ColorDialog1->Color; break;
		case 4: Fprm.col_lower1 = ColorDialog1->Color; break;
		case 5: Fprm.col_active = ColorDialog1->Color; break;
		}
		SbandMainForm->Color = Fprm.col_backgr;
		set_band_color();
    }
}
//---------------------------------------------------------------------------
//wi摜̑I
void __fastcall TDesignDlg::BgImgBtnClick(TObject *Sender)
{
	OpenPictDialog->Title  = "wi摜̑I";
	OpenPictDialog->Filter = GraphicFilter(__classid(Graphics::TBitmap))
		+ "|JPEGt@C(*.JPG)|*.JPG|PNGt@C(*.PNG)|*.PNG|GIFt@C(*.GIF)|*.GIF";
	OpenPictDialog->DefaultExt = "BMP";
	OpenPictDialog->FileName   = EmptyStr;
	OpenPictDialog->InitialDir = ExtractFilePath(Fprm.bgimg_file);
	if (OpenPictDialog->Execute()) {
		if (FileExists(OpenPictDialog->FileName)) {
			BgImgCheckBox->Checked = false;
			Fprm.enable_bgimg	   = false;
			Fprm.bgimg_file 	   = OpenPictDialog->FileName;
			Fprm.stretch_bgimg	   = StretchChkBox->Checked;
			BgImgEdit->Text 	   = Fprm.bgimg_file;
			WIC_load_image(Fprm.bgimg_file, Fprm.bgimg);
			BgImgCheckBox->Checked = true;
			Fprm.enable_bgimg	   = true;
			SbandMainForm->Repaint();
		}
	}
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::BgImgCheckBoxClick(TObject *Sender)
{
	Fprm.enable_bgimg = BgImgCheckBox->Checked;
	SbandMainForm->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::StretchChkBoxClick(TObject *Sender)
{
	Fprm.stretch_bgimg = StretchChkBox->Checked;
	SbandMainForm->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::HideTbarChkBoxClick(TObject *Sender)
{
	Fprm.hide_titlebar = HideTbarChkBox->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TDesignDlg::HelpBtnClick(TObject *Sender)
{
	Application->HelpContext(5);
}
//---------------------------------------------------------------------------

