//----------------------------------------------------------------------//
// Sound Band	CtH[											//
//									by Nekomimi GHH02513@nifty.ne.jp	//
//----------------------------------------------------------------------//
#ifndef MainFormH
#define MainFormH

//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <System.IniFiles.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.ComCtrls.hpp>
#include <Vcl.Menus.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.StdActns.hpp>
#include "MidiPort.h"

//---------------------------------------------------------------------------
#define VERSION_NO 70				//o[Wԍ (*100)

//---------------------------------------------------------------------------
class TSbandMainForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
	TTimer *Timer1;
	TMainMenu *MainMenu1;
	TMenuItem *File1;
	TMenuItem *FileExitItem;
	TMenuItem *Option1;
	TMenuItem *OptSoundItem;
	TMenuItem *OptDesignItem;
	TMenuItem *Help1;
	TMenuItem *Contents1;
	TMenuItem *About1;
	TPopupMenu *PopupMenu1;
	TMenuItem *PopSoundItem;
	TMenuItem *PopDesignItem;
	TMenuItem *Pop_s1;
	TMenuItem *PopRestoreItem;
	TMenuItem *PopExitItem;

	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
		  int X, int Y);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall FormResize(TObject *Sender);

	void __fastcall FileExitClick(TObject *Sender);
	void __fastcall OptSoundItemClick(TObject *Sender);
	void __fastcall OptDesignClick(TObject *Sender);
	void __fastcall HelpContentsClick(TObject *Sender);
	void __fastcall FormClick(TObject *Sender);
	void __fastcall HelpAboutClick(TObject *Sender);
	void __fastcall FormPaint(TObject *Sender);
	void __fastcall PopRestoreItemClick(TObject *Sender);
	void __fastcall PopupMenu1Popup(TObject *Sender);

private:	// [U[錾
	void __fastcall WmGetMinMaxInfo(TWMGetMinMaxInfo &Msg);

public:		// [U[錾
	TIniFile  *IniFile;

	bool Alive;
	int  mouseX,mouseY;
	TColor col_background;

	__fastcall TSbandMainForm(TComponent* Owner);

	BEGIN_MESSAGE_MAP
		MESSAGE_HANDLER(WM_GETMINMAXINFO,TWMGetMinMaxInfo,WmGetMinMaxInfo)
	END_MESSAGE_MAP(TForm);
};
//---------------------------------------------------------------------------
extern PACKAGE TSbandMainForm *SbandMainForm;
//---------------------------------------------------------------------------
#endif
