//----------------------------------------------------------------------//
// ZT[C^[tFCX												//
//	O̒l͂ɑ΂AWݒ肵ătB^[			//
//																		//
//----------------------------------------------------------------------//
#ifndef SensorH
#define SensorH
//---------------------------------------------------------------------------
#include <math.h>

//---------------------------------------------------------------------------
#define MAX_FILTER     4
#define MAX_FHISTORY 256

struct filtrec {
	int active;
	int hst_buf[MAX_FHISTORY];	//lobt@
	unsigned hst_top;
	unsigned hst_end;
	unsigned ave_n;
	unsigned long ave_sum;
	double value;				//o͒l
};

class Sensor {
public:
	unsigned long update_count;
	int *lpSource;		//͒lւ̃|C^
	int min_value;		//͍ŏl
	int max_value;		//͍ől
	int ctr_value;		//Sl
	unsigned range;		//W
	double cur_value;	//݂̏o͒l

	filtrec filter[MAX_FILTER];

	Sensor();
	~Sensor();

	void   SetRange(int min, int max);
	void   ini_filter(int fn, int avn);
	void   adjust();
	void   update();
	double get_value(int n);
	double get_value0(int n);
	double get_valueS(int n);
	double get_valueUF(int n);
	double get_valueSF(int n);
};
//---------------------------------------------------------------------------
#endif
