//----------------------------------------------------------------------//
// Sound Bands	TEhݒ_CAO									//
//																		//
//----------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop

#include "Band.h"
#include "MainForm.h"
#include "SndDlg.h"

//---------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSoundDlg *SoundDlg;

extern field_prm Fprm;

//---------------------------------------------------------------------
__fastcall TSoundDlg::TSoundDlg(TComponent* AOwner) : TForm(AOwner)
{
}
//---------------------------------------------------------------------------
void __fastcall TSoundDlg::FormCreate(TObject *Sender)
{
	MIDIOUTCAPS mcp;
	for (int i=0; i<MidiPort->GetDevMax(); i++) {
		if (::midiOutGetDevCaps(i,&mcp,sizeof(mcp))==MMSYSERR_NOERROR)
			MidiDevCmbBox->Items->Add(mcp.szPname);
		else
			MidiDevCmbBox->Items->Add("<none>");
	}
	for (int i=0; i<128; i++) {
		PrgCmbBox1->Items->Add(GM_Instrument[i]);
		PrgCmbBox2->Items->Add(GM_Instrument[i]);
	}
}
//---------------------------------------------------------------------------
void __fastcall TSoundDlg::FormShow(TObject *Sender)
{
	MidiDevCmbBox->ItemIndex = MidiPort->DevNum;
	PrgCmbBox1->ItemIndex	 = MidiPort->ChnPrg[0];
	PrgCmbBox2->ItemIndex	 = MidiPort->ChnPrg[1];
	VolDisp->Caption		 = Fprm.volume;
	VolTrackBar->Position	 = Fprm.volume;
	PanCtlCheck->Checked	 = (Fprm.stereo!=0);
}


//---------------------------------------------------------------------------
//MIDIfoCX̕ύX
void __fastcall TSoundDlg::MidiDevCmbBoxChange(TObject *Sender)
{
	MidiPort->OutClose();
	MidiPort->DevNum = MidiDevCmbBox->ItemIndex;
	MidiPort->OutOpen();
	for (int i=0; i<MAX_MIDICHN; i++) {
		MidiPort->SetPrg(i, MidiPort->ChnPrg[i]);
	}
	MidiPort->SetVolume(0,Fprm.volume);
	MidiPort->SetVolume(1,Fprm.volume);
	if (Fprm.stereo==1) {
		MidiPort->SetPan(0,32);
		MidiPort->SetPan(1,96);
	}
	else {
		MidiPort->SetPan(0,64);
		MidiPort->SetPan(1,64);
	}
}
//---------------------------------------------------------------------------
//F̕ύX
void __fastcall TSoundDlg::PrgChgChange(TObject *Sender)
{
	TComboBox* p = (TComboBox*)Sender;
	MidiPort->SetPrg(p->Tag, p->ItemIndex);
}
//---------------------------------------------------------------------------
void __fastcall TSoundDlg::PanCtlCheckClick(TObject *Sender)
{
	Fprm.stereo = PanCtlCheck->Checked;
	if (Fprm.stereo==1) {
		MidiPort->SetPan(0,32);
		MidiPort->SetPan(1,96);
	}
	else {
		MidiPort->SetPan(0,64);
		MidiPort->SetPan(1,64);
	}
}
//---------------------------------------------------------------------------
//ʂ̕ύX
void __fastcall TSoundDlg::VolTrackBarChange(TObject *Sender)
{
	Fprm.volume 	 = VolTrackBar->Position;
	VolDisp->Caption = Fprm.volume;
	MidiPort->SetVolume(0,Fprm.volume);
	MidiPort->SetVolume(1,Fprm.volume);
}

//---------------------------------------------------------------------------
//wv
void __fastcall TSoundDlg::HelpBtnClick(TObject *Sender)
{
	Application->HelpContext(4);
}
//---------------------------------------------------------------------------

