//----------------------------------------------------------------------//
// ZT[C^[tFCX												//
//	O̒l͂ɑ΂AWݒ肵ătB^[			//
//																		//
//----------------------------------------------------------------------//
#include <vcl.h>
#pragma hdrstop

#include "Sensor.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)

//---------------------------------------------------------------------------
Sensor::Sensor()
{
	lpSource	 = NULL;
	update_count = 0;
	for (int i=0; i<MAX_FILTER; i++) {
		filter[i].ave_n  = 2;
		filter[i].active = 0;
	}
	SetRange(0,100);
}
//---------------------------------------------------------------------------
Sensor::~Sensor()
{

}

//---------------------------------------------------------------------------
// Wݒ
//---------------------------------------------------------------------------
void Sensor::SetRange(int min, int max)
{
	min_value = min;
	max_value = max;
	range	  = abs(max_value - min_value)+1;
	ctr_value = range/2 + min_value;
}

//---------------------------------------------------------------------------
// tB^[
//  fn: tB^[ԍ 0`3
// avn: ςۂ̃Tv
//---------------------------------------------------------------------------
void Sensor::ini_filter(int fn, int avn)
{
	if (fn>=0 && fn<MAX_FILTER) {
		filtrec *fp = &filter[fn];
		fp->ave_n	= avn;
		fp->hst_top = 0;
		fp->hst_end = fp->ave_n-1;
		fp->ave_sum = 0;
		fp->value	= 0.0;
		for (int i=0; i<MAX_FHISTORY; i++) fp->hst_buf[i] = 0;
		fp->active = 1;
	}
}

//---------------------------------------------------------------------------
// W
//---------------------------------------------------------------------------
void Sensor::adjust()
{
	if (lpSource) {
		int v = *lpSource;
		if (v<min_value) min_value = v;
		if (v>max_value) max_value = v;
		range = abs(max_value - min_value);
		if (range==0) range = 1;
		ctr_value = range/2 + min_value;
	}
}

//---------------------------------------------------------------------------
// XV
//---------------------------------------------------------------------------
void Sensor::update()
{
	if (lpSource) {
		int v = *lpSource;
		//WOJbg
		if (v<min_value) v = min_value;
		if (v>max_value) v = max_value;
		//tB^[
		for (int i=0; i<MAX_FILTER; i++) {
			filtrec *fp = &filter[i];
			if (fp->active==1) {
				fp->ave_sum += v;
				fp->ave_sum -= fp->hst_buf[fp->hst_top];
				fp->value	 = (1.0*fp->ave_sum)/fp->ave_n;
				fp->hst_top  = (fp->hst_top+1) % MAX_FHISTORY;
				fp->hst_end  = (fp->hst_end+1) % MAX_FHISTORY;
				fp->hst_buf[fp->hst_end] = v;
			}
		}
		if (range>0) cur_value = 2.0*(v-ctr_value)/range;
		update_count++;
	}
}

//---------------------------------------------------------------------------
// l̎擾
//  n:tB^[ԍ 0`3
//---------------------------------------------------------------------------
double Sensor::get_value(int n)
{
	if (lpSource)
		return filter[n].value;
	else
		return 0;
}
//---------------------------------------------------------------------------
double Sensor::get_value0(int n)
{
	if (lpSource)
		return filter[n].value-min_value;
	else
		return 0;
}
//---------------------------------------------------------------------------
double Sensor::get_valueS(int n)
{
	if (lpSource)
		return filter[n].value-ctr_value;
	else
		return 0;
}
//---------------------------------------------------------------------------
//  0.0`1.0
double Sensor::get_valueUF(int n)
{
	if ((lpSource)&&(range>0))
		return 1.0*(filter[n].value-min_value)/range;
	else
		return 0.0;
}
//---------------------------------------------------------------------------
// t -1.0`+1.0
double Sensor::get_valueSF(int n)
{
	if ((lpSource)&&(range>0))
		return 2.0*(filter[n].value-ctr_value)/range;
	else
		return 0.0;
}
//---------------------------------------------------------------------------
