//----------------------------------------------------------------------//
// Sound Bands	TEhݒ_CAO									//
//																		//
//----------------------------------------------------------------------//

#ifndef SndDlgH
#define SndDlgH
//----------------------------------------------------------------------------
#include <System.hpp>
#include <System.SysUtils.hpp>
#include <System.Classes.hpp>
#include <Vcl.Graphics.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.ComCtrls.hpp>
#include <Vcl.Mask.hpp>

//----------------------------------------------------------------------------
class TSoundDlg : public TForm
{
__published:
	TCheckBox *PanCtlCheck;
	TComboBox *MidiDevCmbBox;
	TComboBox *PrgCmbBox1;
	TComboBox *PrgCmbBox2;
	TGroupBox *GroupBox1;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *VolDisp;
	TTrackBar *VolTrackBar;

	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall MidiDevCmbBoxChange(TObject *Sender);
	void __fastcall PrgChgChange(TObject *Sender);
	void __fastcall PanCtlCheckClick(TObject *Sender);
	void __fastcall VolTrackBarChange(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);

private:

public:
	virtual __fastcall TSoundDlg(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TSoundDlg *SoundDlg;
//----------------------------------------------------------------------------
#endif
